## djangorestframework 3.12.1

=== debian/changelog ===
djangorestframework (3.12.1-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release (CVE-2020-25626) (Closes: #971554).
  * Refresh patches.
  * Add d/upstream/metadata.
  * Remove 0001-Disable-Postgresql-tests.patch.
  * Depend on libjs-bootstrap (Closes: #970776).

 -- Michael Fladischer <fladi@debian.org>  Fri, 16 Oct 2020 17:27:21 +0200

=== debian/control ===
Source: djangorestframework
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Brian May <bam@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 mkdocs (>= 1.0.4),
 python3-all,
 python3-coreapi,
 python3-defusedxml (>= 0.3),
 python3-django,
 python3-django-filters (>= 1.1.0),
 python3-django-guardian (>= 1.4.9),
 python3-pytest (>= 3.6.2),
 python3-pytest-cov (>= 2.5.1),
 python3-pytest-django (>= 3.5.1),
 python3-setuptools,
 python3-yaml,
Standards-Version: 4.5.0
Homepage: http://django-rest-framework.org
Vcs-Browser: https://salsa.debian.org/python-team/packages/djangorestframework
Vcs-Git: https://salsa.debian.org/python-team/packages/djangorestframework.git
Rules-Requires-Root: no

Package: python-djangorestframework-doc
Section: doc
Architecture: all
Depends:
 fonts-glyphicons-halflings,
 ${misc:Depends},
 ${mkdocs:Depends},
Description: Web APIs for Django, made easy (documentation)
 powerful and flexible toolkit that makes it easy to build Web APIs.
 Some reasons you might want to use REST framework:
  * The Web browseable API is a huge useability win for your developers.
  * Authentication policies including OAuth1a and OAuth2 out of the box.
  * Serialization that supports both ORM and non-ORM data sources.
  * Customizable all the way down - just use regular function-based views if you
    don't need the more powerful features.
 .
 This package contains the HTML documentation.

Package: python3-djangorestframework
Architecture: all
Depends:
 fonts-font-awesome,
 fonts-glyphicons-halflings,
 libjs-bootstrap,
 libjs-jquery,
 libjs-prettify,
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-coreapi (>= 2.3.3),
 python3-coreschema (>= 0.0.4),
 python3-django-filters (>= 1.1.0),
 python3-django-guardian (>= 1.4.9),
 python3-markdown (>= 2.6.11),
 python3-psycopg2 (>= 2.7.5),
 python3-yaml,
Suggests:
 python-djangorestframework-doc,
Description: Web APIs for Django, made easy for Python3
 For Python3.
 powerful and flexible toolkit that makes it easy to build Web APIs.
 Some reasons you might want to use REST framework:
  * The Web browseable API is a huge useability win for your developers.
  * Authentication policies including OAuth1a and OAuth2 out of the box.
  * Serialization that supports both ORM and non-ORM data sources.
  * Customizable all the way down - just use regular function-based views if you
    don't need the more powerful features.
  * Extensive documentation, and great community support.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

export PYBUILD_NAME=djangorestframework

%:
	dh $@ --with mkdocs,python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build

	# Build the HTML documentation.
	mkdir $(CURDIR)/docs.debian
	LC_ALL=C.UTF-8 PYTHONPATH=/usr/share/mkdocs/themes mkdocs build && mv site docs.debian/html
	$(RM) docs.debian/html/404.html
	$(RM) docs.debian/html/fonts/*

override_dh_python3:
	dh_python3
	# Don't embed what's already provided elsewhere
	$(RM) debian/python3-djangorestframework/usr/lib/python3/dist-packages/rest_framework/static/rest_framework/fonts/*
	$(RM) debian/python3-djangorestframework/usr/lib/python3/dist-packages/rest_framework/static/rest_framework/css/font-awesome*.css
	$(RM) debian/python3-djangorestframework/usr/lib/python3/dist-packages/rest_framework/static/rest_framework/css/bootstrap*.css
	$(RM) debian/python3-djangorestframework/usr/lib/python3/dist-packages/rest_framework/static/rest_framework/css/prettify*.css
	$(RM) debian/python3-djangorestframework/usr/lib/python3/dist-packages/rest_framework/static/rest_framework/js/bootstrap*.js
	$(RM) debian/python3-djangorestframework/usr/lib/python3/dist-packages/rest_framework/static/rest_framework/js/jquery*.js
	$(RM) debian/python3-djangorestframework/usr/lib/python3/dist-packages/rest_framework/static/rest_framework/js/prettify*.js

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="{interpreter} $(CURDIR)/runtests.py --nolint" \
	dh_auto_test

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs.debian

override_dh_installchangelogs:
	dh_installchangelogs docs/community/release-notes.md

override_dh_installdocs:
	dh_installdocs -ppython-djangorestframework-doc --doc-main-package=python3-djangorestframework
	dh_installdocs --remaining-packages

=== debian/tests/control ===
Test-Command: cp -r tests $AUTOPKGTEST_TMP && cd $AUTOPKGTEST_TMP && pytest-3
Depends:
 python3-pytest,
 python3-pytest-django,
 @,
Features: test-name=testsuite

## djangorestframework 3.12.4

=== requirements.txt ===
# The base set of requirements for REST framework is actually
# just Django, but for the purposes of development and testing
# there are a number of packages that are useful to install.

# Laying these out as separate requirements files, allows us to
# only included the relevant sets when running tox, and ensures
# we are only ever declaring our dependencies in one place.

-r requirements/requirements-optionals.txt
-r requirements/requirements-testing.txt
-r requirements/requirements-documentation.txt
-r requirements/requirements-codestyle.txt
-r requirements/requirements-packaging.txt

=== debian/changelog ===
djangorestframework (3.12.4-2.1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - skip test_markdown, which is currently failing; see issue #8160 upstream
      for followups (LP: #1955134)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 20 Mar 2022 13:40:26 +0100

djangorestframework (3.12.4-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * tests: update for newer pygments (Closes: #1005779)

 -- Paul Gevers <elbrus@debian.org>  Sun, 13 Mar 2022 19:19:52 +0100

djangorestframework (3.12.4-2ubuntu1) jammy; urgency=medium

  * d/tests/control
    - skip test_markdown, which is currently failing; see issue #8160 upstream
      for followups (LP: #1955134)

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 05 Jan 2022 17:50:04 +0100

djangorestframework (3.12.4-2) unstable; urgency=medium

  * debian/rules
    - skip test_markdown, which is currently failing; see issue #8160 upstream
      for followups; Closes: #1002396

 -- Sandro Tosi <morph@debian.org>  Fri, 31 Dec 2021 02:05:52 -0500

djangorestframework (3.12.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.12.4
  * Rediff patches
  * Fix tests with mock timezone. (Closes: #994255)
    Thanks to Terence Honles <terence@honles.com> for the upstream patch
  * Fix autopkgtest and FTBFS by adding python3-pygments to Build-Dep and
    tests Depends (Closes: #961171)
  * Bump d/watch version to 4
  * Bump Standards-Version to 4.6.0: no changes
  * Fix homepage url
  * Use https for apache license url in d/copyright
  * Bump versioned dependency for python3-django-guardian to 2.4.0

 -- Baptiste Beauplat <lyknode@debian.org>  Mon, 04 Oct 2021 21:28:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: djangorestframework
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Brian May <bam@debian.org>,
 Build-Depends:
@@ -13,14 +14,15 @@
  python3-defusedxml (>= 0.3),
  python3-django,
  python3-django-filters (>= 1.1.0),
- python3-django-guardian (>= 1.4.9),
+ python3-django-guardian (>= 2.4.0),
+ python3-pygments,
  python3-pytest (>= 3.6.2),
  python3-pytest-cov (>= 2.5.1),
  python3-pytest-django (>= 3.5.1),
  python3-setuptools,
  python3-yaml,
-Standards-Version: 4.5.0
-Homepage: http://django-rest-framework.org
+Standards-Version: 4.6.0
+Homepage: https://www.django-rest-framework.org
 Vcs-Browser: https://salsa.debian.org/python-team/packages/djangorestframework
 Vcs-Git: https://salsa.debian.org/python-team/packages/djangorestframework.git
 Rules-Requires-Root: no
@@ -58,7 +60,7 @@
  python3-coreapi (>= 2.3.3),
  python3-coreschema (>= 0.0.4),
  python3-django-filters (>= 1.1.0),
- python3-django-guardian (>= 1.4.9),
+ python3-django-guardian (>= 2.4.0),
  python3-markdown (>= 2.6.11),
  python3-psycopg2 (>= 2.7.5),
  python3-yaml,

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="{interpreter} $(CURDIR)/runtests.py --nolint" \
+	PYBUILD_TEST_ARGS="{interpreter} $(CURDIR)/runtests.py --nolint -k 'not test_markdown'" \
 	dh_auto_test
 
 override_dh_auto_clean:

=== debian/tests/control ===
# Disable test_markdown until the upstream issue is resolved:
# https://github.com/encode/django-rest-framework/issues/8160
# Disable it the same way as done in dh_auto_test (debian/rules) at build time
Test-Command: cp -r tests $AUTOPKGTEST_TMP && cd $AUTOPKGTEST_TMP && pytest-3 -k 'not test_markdown'
Depends:
 python3-pygments,
 python3-pytest,
 python3-pytest-django,
 @,
Features: test-name=testsuite

=== debian/watch ===
version=4
https://github.com/tomchristie/django-rest-framework/tags .*/(\d[\d\.]+)\.tar\.gz

## djangorestframework 3.13.1

=== debian/changelog ===
djangorestframework (3.13.1-1) unstable; urgency=low

  * New upstream release.
  * Expand privacy patch to cover release notes.
  * Drop unused patches.
  * Add python3-uritemplate to Build-Depends, enabling more tests.
  * Rework autopkgtests to use separate test script and reused packaging
    dependencies.
  * Drop --nolint flag for build-time tests.
  * Add node-jquery to Build-Depends, required by mkdocs.
  * Add python3-tz to Build-Depends (Closes: #1013742).
  * Bump Standards-Version to 4.6.1.0.
  * Update lintian-overrides.
  * Update missing-sources for jquery-3.5.1.

 -- Michael Fladischer <fladi@debian.org>  Fri, 08 Jul 2022 19:34:35 +0000

djangorestframework (3.12.4-2.2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Security-Contact.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on mkdocs, python3-defusedxml,
      python3-django-filters, python3-pytest and python3-pytest-cov.
    + python3-djangorestframework: Drop versioned constraint on python3-coreapi,
      python3-coreschema, python3-django-filters, python3-markdown and
      python3-psycopg2 in Recommends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 19:20:45 +0100

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="{interpreter} $(CURDIR)/runtests.py --nolint -k 'not test_markdown'" \
+	PYBUILD_TEST_ARGS="{interpreter} $(CURDIR)/runtests.py -k 'not test_markdown'" \
 	dh_auto_test
 
 override_dh_auto_clean:

## djangorestframework 3.14.0

=== requirements.txt ===
--- 
+++ 
@@ -9,5 +9,4 @@
 -r requirements/requirements-optionals.txt
 -r requirements/requirements-testing.txt
 -r requirements/requirements-documentation.txt
--r requirements/requirements-codestyle.txt
 -r requirements/requirements-packaging.txt

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,29 @@
 Source: djangorestframework
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Brian May <bam@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- mkdocs (>= 1.0.4),
+ mkdocs,
+ node-jquery,
  python3-all,
  python3-coreapi,
- python3-defusedxml (>= 0.3),
+ python3-defusedxml,
  python3-django,
- python3-django-filters (>= 1.1.0),
+ python3-django-filters,
  python3-django-guardian (>= 2.4.0),
  python3-pygments,
- python3-pytest (>= 3.6.2),
- python3-pytest-cov (>= 2.5.1),
+ python3-pytest,
+ python3-pytest-cov,
  python3-pytest-django (>= 3.5.1),
  python3-setuptools,
+ python3-tz,
+ python3-uritemplate,
  python3-yaml,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1.0
 Homepage: https://www.django-rest-framework.org
 Vcs-Browser: https://salsa.debian.org/python-team/packages/djangorestframework
 Vcs-Git: https://salsa.debian.org/python-team/packages/djangorestframework.git
@@ -57,12 +59,12 @@
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
- python3-coreapi (>= 2.3.3),
- python3-coreschema (>= 0.0.4),
- python3-django-filters (>= 1.1.0),
+ python3-coreapi,
+ python3-coreschema,
+ python3-django-filters,
  python3-django-guardian (>= 2.4.0),
- python3-markdown (>= 2.6.11),
- python3-psycopg2 (>= 2.7.5),
+ python3-markdown,
+ python3-psycopg2,
  python3-yaml,
 Suggests:
  python-djangorestframework-doc,

=== debian/rules ===
--- 
+++ 
@@ -21,16 +21,11 @@
 	# Don't embed what's already provided elsewhere
 	$(RM) debian/python3-djangorestframework/usr/lib/python3/dist-packages/rest_framework/static/rest_framework/fonts/*
 	$(RM) debian/python3-djangorestframework/usr/lib/python3/dist-packages/rest_framework/static/rest_framework/css/font-awesome*.css
-	$(RM) debian/python3-djangorestframework/usr/lib/python3/dist-packages/rest_framework/static/rest_framework/css/bootstrap*.css
+	$(RM) debian/python3-djangorestframework/usr/lib/python3/dist-packages/rest_framework/static/rest_framework/css/bootstrap*.min.css
 	$(RM) debian/python3-djangorestframework/usr/lib/python3/dist-packages/rest_framework/static/rest_framework/css/prettify*.css
 	$(RM) debian/python3-djangorestframework/usr/lib/python3/dist-packages/rest_framework/static/rest_framework/js/bootstrap*.js
 	$(RM) debian/python3-djangorestframework/usr/lib/python3/dist-packages/rest_framework/static/rest_framework/js/jquery*.js
 	$(RM) debian/python3-djangorestframework/usr/lib/python3/dist-packages/rest_framework/static/rest_framework/js/prettify*.js
-
-override_dh_auto_test:
-	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="{interpreter} $(CURDIR)/runtests.py -k 'not test_markdown'" \
-	dh_auto_test
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-psycopg2,
 @,
 @builddeps@,
Restrictions: allow-stderr

## djangorestframework 3.15.2

=== debian/changelog ===
djangorestframework (3.15.2-1) unstable; urgency=medium

  * Team upload
  * [83fb839] New upstream version 3.15.2
  * [d201327] Rebuild patch queue from patch-queue branch
    Removed patches (included upstream):
    Fix-typo-in-setup.cfg-setting.patch
    Remove-span-class-w-on-some-tests-files.patch
    tests-Check-urlpatterns-after-cleanups-9400.patch
  * [d1e1bcf] d/copyright: Add myself
  * [af11be8] d/control: Depend on Django >= 4.2 in bin package
  * [1185d2a] d/p-d-d.lintian-overrides: Ignore warning about JQuery

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 29 Jun 2024 14:02:42 +0200

djangorestframework (3.15.1-2) unstable; urgency=medium

  * Team upload

    [Carsten Schoenert]
  * [4ba996d] Rebuild patch queue from patch-queue branch
    Added patches:
    Fix-typo-in-setup.cfg-setting.patch
    tests-Check-urlpatterns-after-cleanups-9400.patch
    (Closes: #1072052)
  * [f5886e3] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.

    [Simon Lyngshede]
  * [bbf09c6] d/rules: Don't exclude bootstrap-tweaks.css file

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 01 Jun 2024 20:13:31 +0200

djangorestframework (3.15.1-1) unstable; urgency=medium

  * Team upload
  * [ecdc11c] d/gbp.conf: Add some more defaults
  * [0031c39] d/watch: Move over to use Git mode on GitHub
  * [ad8805f] New upstream version 3.15.1
    (Closes: #1066740)
  * [926f60f] Rebuild patch queue from patch-queue branch
    Rebuild patch queue from patch-queue branch
    Rename and update patches:
    0001-Clean-all-privacy-breaches-in-the-package.patch
     -> debian/patches/Clean-all-privacy-breaches-in-the-package.patch
    0002-Fix-asset-names-to-match-symlinks-to-packaged-files.patch
     -> debian/patches/Fix-asset-names-to-match-symlinks-to-packaged-files.patch
    0003-Adapt-tests-so-they-pass.patch
     -> debian/patches/Remove-span-class-w-on-some-tests-files.patch
  * [e4f6ac7] d/control: Bump Standards-Version to 4.6.2
    No further changes needed.
  * [1ac9e0c] Update missing-sources for jquery-3.7.1
  * [d3b5a93] d/control: Add BuildProfileSpec to Build-Depends
  * [8e221b1] d/control: Add python3-tz to (binary) Depends
  * [5f63cc2] d/{control,rules}: Move over to dh-sequencer-python3
  * [1e05741] d/rules: Remove also mypy cache folder in dh_clean
  * [490cf0f] d/trules: Respect DEB_BUILD_OPTIONS for nodoc profile
  * [03ee1af] autopkgtest: Use more specific depending package list
  * [f9ac404] d/README.source: Add some information about the source
  * [ad91cbd] d/u/metadata: Add the Homepage data
  * [2098da6] d/control: Use the GitHub resource for Homepage field

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 23 Mar 2024 12:50:03 +0100

djangorestframework (3.14.0-2) unstable; urgency=medium

  * Team upload
  * Add patch to fix tests against the environment on bookworm
    (Closes: #1028871)

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 31 Jan 2023 08:59:37 -0300

djangorestframework (3.14.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Let pybuild handle upstream tests during build.
  * Install testfiles using d/pybuild.testfiles.
  * No longer skip tests during autopkgtest.
  * Update d/copyright with new years.

 -- Michael Fladischer <fladi@debian.org>  Tue, 11 Oct 2022 20:40:16 +0000

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,26 @@
  Brian May <bam@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
- mkdocs,
- node-jquery,
+ dh-sequence-python3,
+ mkdocs <!nodoc>,
+ node-jquery <!nodoc>,
  python3-all,
- python3-coreapi,
- python3-defusedxml,
- python3-django,
- python3-django-filters,
- python3-django-guardian (>= 2.4.0),
- python3-pygments,
- python3-pytest,
- python3-pytest-cov,
- python3-pytest-django (>= 3.5.1),
+ python3-coreapi <!nocheck>,
+ python3-django <!nocheck>,
+ python3-django-filters <!nocheck>,
+ python3-django-guardian (>= 2.4.0) <!nocheck>,
+ python3-inflection <!nocheck>,
+ python3-psycopg2 <!nocheck>,
+ python3-pygments <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+ python3-pytest-django (>= 3.5.1) <!nocheck>,
  python3-setuptools,
- python3-tz,
- python3-uritemplate,
- python3-yaml,
-Standards-Version: 4.6.1.0
-Homepage: https://www.django-rest-framework.org
+ python3-tz <!nocheck>,
+ python3-uritemplate <!nocheck>,
+ python3-yaml <!nocheck>,
+Standards-Version: 4.7.0
+Homepage: https://github.com/encode/django-rest-framework
 Vcs-Browser: https://salsa.debian.org/python-team/packages/djangorestframework
 Vcs-Git: https://salsa.debian.org/python-team/packages/djangorestframework.git
 Rules-Requires-Root: no
@@ -55,7 +56,8 @@
  libjs-bootstrap,
  libjs-jquery,
  libjs-prettify,
- python3-django,
+ python3-django (>> 3:4.2),
+ python3-tz,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

=== debian/rules ===
--- 
+++ 
@@ -1,20 +1,23 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=djangorestframework
 
 %:
-	dh $@ --with mkdocs,python3 --buildsystem=pybuild
+	dh $@ --with mkdocs --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
 
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	# Build the HTML documentation.
 	mkdir $(CURDIR)/docs.debian
-	LC_ALL=C.UTF-8 PYTHONPATH=/usr/share/mkdocs/themes mkdocs build && mv site docs.debian/html
+	LC_ALL=C.UTF-8 PYTHONPATH=/usr/share/mkdocs/themes mkdocs build -v && mv site docs.debian/html
 	$(RM) docs.debian/html/404.html
 	$(RM) docs.debian/html/fonts/*
+endif
 
 override_dh_python3:
 	dh_python3
@@ -30,10 +33,18 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf docs.debian
+	rm -rf .mypy_cache
 
 override_dh_installchangelogs:
 	dh_installchangelogs docs/community/release-notes.md
 
+override_dh_mkdocs:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	dh_mkdocs
+endif
+
 override_dh_installdocs:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	dh_installdocs -ppython-djangorestframework-doc --doc-main-package=python3-djangorestframework
 	dh_installdocs --remaining-packages
+endif

## djangorestframework 3.16.0

=== requirements.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 # The base set of requirements for REST framework is actually
-# just Django, but for the purposes of development and testing
-# there are a number of packages that are useful to install.
+# just Django and pytz, but for the purposes of development
+# and testing there are a number of packages that are useful
+# to install.
 
 # Laying these out as separate requirements files, allows us to
 # only included the relevant sets when running tox, and ensures

=== debian/changelog ===
djangorestframework (3.16.0-1ubuntu1) questing; urgency=medium

  * d/p/fix-django-5.2-pytz.patch: Fix pytz usage in tests for Django 5. 

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 30 Jul 2025 09:16:09 -0400

djangorestframework (3.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Apr 2025 21:58:11 +0100

djangorestframework (3.15.2-2) unstable; urgency=medium

  * Team upload.
  * Fix view description inspection in Python 3.13 (closes: #1088246).
  * Use pybuild-plugin-pyproject.
  * Use dh-sequence-mkdocs.

 -- Colin Watson <cjwatson@debian.org>  Tue, 03 Dec 2024 10:58:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: djangorestframework
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Brian May <bam@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-mkdocs <!nodoc>,
  dh-sequence-python3,
- mkdocs <!nodoc>,
  node-jquery <!nodoc>,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-coreapi <!nocheck>,
  python3-django <!nocheck>,

## djangorestframework 3.16.1

=== debian/changelog ===
djangorestframework (3.16.1-3) unstable; urgency=medium

  * Re-release since 3.16.1-2 seems to have got lost.

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 Nov 2025 18:28:07 +0000

djangorestframework (3.16.1-2) unstable; urgency=medium

  * Team upload.
  * Replace transitional python3-tz dependency with python3-pytz
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no": it is the new default value
  * Trim d/rules using shorter syntax

 -- Alexandre Detiste <tchet@debian.org>  Wed, 24 Sep 2025 11:40:06 +0200

djangorestframework (3.16.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Aug 2025 14:22:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: djangorestframework
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Brian May <bam@debian.org>,
 Build-Depends:
@@ -22,15 +21,14 @@
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pytest-django (>= 3.5.1) <!nocheck>,
+ python3-pytz <!nocheck>,
  python3-setuptools,
- python3-tz <!nocheck>,
  python3-uritemplate <!nocheck>,
  python3-yaml <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/encode/django-rest-framework
 Vcs-Browser: https://salsa.debian.org/python-team/packages/djangorestframework
 Vcs-Git: https://salsa.debian.org/python-team/packages/djangorestframework.git
-Rules-Requires-Root: no
 
 Package: python-djangorestframework-doc
 Section: doc
@@ -59,7 +57,7 @@
  libjs-jquery,
  libjs-prettify,
  python3-django (>> 3:4.2),
- python3-tz,
+ python3-pytz,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,10 @@
 export PYBUILD_NAME=djangorestframework
 
 %:
-	dh $@ --with mkdocs --buildsystem=pybuild
-
-override_dh_auto_build:
-	dh_auto_build
+	dh $@ --buildsystem=pybuild
 
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+execute_after_dh_auto_build:
 	# Build the HTML documentation.
 	mkdir $(CURDIR)/docs.debian
 	LC_ALL=C.UTF-8 PYTHONPATH=/usr/share/mkdocs/themes mkdocs build -v && mv site docs.debian/html
@@ -19,8 +17,7 @@
 	$(RM) docs.debian/html/fonts/*
 endif
 
-override_dh_python3:
-	dh_python3
+execute_after_dh_python3:
 	# Don't embed what's already provided elsewhere
 	$(RM) debian/python3-djangorestframework/usr/lib/python3/dist-packages/rest_framework/static/rest_framework/fonts/*
 	$(RM) debian/python3-djangorestframework/usr/lib/python3/dist-packages/rest_framework/static/rest_framework/css/font-awesome*.css
@@ -30,8 +27,7 @@
 	$(RM) debian/python3-djangorestframework/usr/lib/python3/dist-packages/rest_framework/static/rest_framework/js/jquery*.js
 	$(RM) debian/python3-djangorestframework/usr/lib/python3/dist-packages/rest_framework/static/rest_framework/js/prettify*.js
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	rm -rf docs.debian
 	rm -rf .mypy_cache

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-coreapi,
 python3-django,
 python3-django-filters,
 python3-django-guardian,
 python3-inflection,
 python3-psycopg2,
 python3-pygments,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-django,
 python3-uritemplate,
 python3-yaml,
 @,
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((a|alpha|b|beta|dev|pre|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/tomchristie/django-rest-framework.git \
      refs/tags/(\d\S+)
